Cyberduck Mountain Duck CLI

#6624 closed enhancement (fixed)

Lunacloud interoperability

Reported by: lunacloud Owned by: dkocher
Priority: normal Milestone: 4.3
Component: s3 Version: 4.2.1
Severity: normal Keywords: provider, s3
Cc: Architecture:
Platform:

Description

Hi,

I am the CEO of Lunacloud and we will soon be launching our public Cloud infrastructure-as-a-service offer, which will include both virtual servers as well as a storage service. We will be opening several data centers across europe. Price-wise we will position our storage service below Amazon and Rackspace and therefore hope to have some traction, especially within the european market.

Our storage service is S3 compatible and we would like to know if it is possible to include us in your provider's pick list when users click on "Open Connection" in Cyberduck. Being 100% AWS compatible it would be a simple addition.

We would be willing to promote Cyberduck as our preferred storage client, as well as donate to your project and collaborate with you in other areas (development, for example).

Best regards,

António Ferreira

Attachments (1)

Lunacloud.cyberduckprofile (6.2 KB) - added by lunacloud on Apr 10, 2012 at 4:48:29 PM.
Lunacloud Cyberduck Profile

Download all attachments as: .zip

Change History (15)

comment:1 Changed on Apr 10, 2012 at 6:21:53 AM by dkocher

Sounds good. The first integration step would be to create a profile with preconfigured settings for Lunacloud that can be downloaded, and when opened adds such a pre configured connection setting. See for example the profile for GreenQloud.

comment:2 Changed on Apr 10, 2012 at 6:23:23 AM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Summary changed from Including Lunacloud in Cyberduck's protocol/providers pick list to Lunacloud interoperability

I wonder if you support all the AWS features such as versioning and logging configuration?

Changed on Apr 10, 2012 at 4:48:29 PM by lunacloud

Lunacloud Cyberduck Profile

comment:3 Changed on Apr 10, 2012 at 4:49:53 PM by lunacloud

Hello,

We already create the Cyberduck Profile and we are elaborating the web page.

Please find in attach the profile and let us know if you have any considerations. After we finish the web page we will send it to you.

For the moment we are not supporting versioning and the logs need to be checked by the management console but we will support that in future releases.

Regards,

Hugo Tavares

comment:4 Changed on Apr 11, 2012 at 12:18:12 AM by dkocher

That profile looks perfectly fine. Great you could already figure this out. We can then create a wiki page with it and you can share it with your customers. You could also prefill the username (Access Key ID) dynamically for users logged into your console.

comment:5 Changed on Apr 16, 2012 at 9:01:40 PM by lunacloud

Hello dkocher,

Just to give you an update we are working on the documentation and when it's available we send you the wiki page.

Regards,

Hugo Tavares

comment:6 Changed on Apr 17, 2012 at 12:11:23 AM by dkocher

Please edit the lunacloud wiki page.

comment:7 follow-up: Changed on Apr 23, 2012 at 2:29:59 PM by lunacloud

Hello dkocher,

I'm not able to submit the changes because it considers as spam! (too many links?)

Do we need to remove links or should I try to send you the file for any other away? (by the attach it's not also possbile:

Submission rejected as potential spam (Maximum number of external links per post exceeded) Trac thinks your submission might be Spam. To prove otherwise please provide a response to the following. Input error: k: Format of site key was invalid

Thx

Hugo

comment:8 in reply to: ↑ 7 Changed on Apr 25, 2012 at 12:47:23 PM by dkocher

Replying to lunacloud:

Hello dkocher,

I'm not able to submit the changes because it considers as spam! (too many links?)

Do we need to remove links or should I try to send you the file for any other away? (by the attach it's not also possbile:

Submission rejected as potential spam (Maximum number of external links per post exceeded) Trac thinks your submission might be Spam. To prove otherwise please provide a response to the following. Input error: k: Format of site key was invalid

Thx

Hugo

Is this by editing the wiki page? Yes, try removing the links and add them later again.

comment:9 Changed on Apr 27, 2012 at 12:18:55 AM by lunacloud

Ok dkocher, we did some "cosmetic" and it's ok now.

Do you know when it will be release the profile with the cyberduck app?

Regards,

hugo

comment:10 Changed on Apr 28, 2012 at 12:39:09 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

I have for now decided against including more profiles by default for S3 compatible providers. But you are more than welcome to make the profile available to your customers to make setup a breeze.

comment:11 follow-up: Changed on Apr 28, 2012 at 11:57:18 AM by lunacloud

Hi,

Any change you can review that decision for our case and include our profile. We'd be willing to contribute (donate) to the project as well as promote actively Cyberduck in the Cloud Storage section of our site, when we launch it late May. If yes, great. If not, thanks for your support anyway and good luck with Cyberduck, it's a good product!

comment:12 in reply to: ↑ 11 ; follow-up: Changed on May 4, 2012 at 12:45:15 PM by dkocher

Replying to lunacloud:

Hi,

Any change you can review that decision for our case and include our profile. We'd be willing to contribute (donate) to the project as well as promote actively Cyberduck in the Cloud Storage section of our site, when we launch it late May. If yes, great. If not, thanks for your support anyway and good luck with Cyberduck, it's a good product!

We can always reconsider this for the future but currently I am hesitant to such a step as there are many more stakeholders that would like their own profile included. But this fragmentation is somewhat not justified I think. In the end I need to include an option for every single hosting provider.

comment:13 in reply to: ↑ 12 Changed on May 4, 2012 at 12:46:20 PM by dkocher

Replying to dkocher:

Replying to lunacloud:

Hi,

Any change you can review that decision for our case and include our profile. We'd be willing to contribute (donate) to the project as well as promote actively Cyberduck in the Cloud Storage section of our site, when we launch it late May. If yes, great. If not, thanks for your support anyway and good luck with Cyberduck, it's a good product!

We can always reconsider this for the future but currently I am hesitant to such a step as there are many more stakeholders that would like their own profile included. But this fragmentation is somewhat not justified I think. In the end I need to include an option for every single hosting provider.

In fact that is the reason why I have added support for optional profiles being available as plugin files for providers that want to make it easier for their customers with preconfigured settings.

comment:14 Changed on Sep 26, 2012 at 4:48:40 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
  • Version set to 4.2.1
Note: See TracTickets for help on using tickets.
swiss made software